<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Module kio</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>
<h1>kio Module</h1>
<hr><p><h2>KIO: Network-enabled File Management </h2>
</p>
<p>
<p><b>
Overview |
filedialog "File Selector"
</b></p>
</p>
<p>
This library implements almost all the file management functions you
will ever need. In fact, the %KDE file manager, Konqueror also uses
this to provide its network-enabled file management.
</p>
<p>
The easiest way to use this library from a %KDE application is via the
KIO.NetAccess class (for easy synchronous access) or via the
KIO.Job class (for more complex asynchronous jobs).
</p>
<p>
This library also implements the System Configuration Cache (KSycoca),
and the %KDE file selector widget (see
filedialog "the page on the file selector widget").
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KMimeType:
Represents the type of a file.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KService:
A service is a library or application that can deal with a certain
set of mimetypes.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KServiceType:
A service type is a group of services with similar functionality. For
example, KOffice's filters have the service type KOfficeFilter.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KServiceTypeTrader:
Can be used to query for which services implement a given servicetype.
Has its own language, in order to allow complex queries.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KMimeTypeTrader:
Can be used to query for which services can handle a given mimetype.
Has its own language, in order to allow complex queries.
</dd></dl> </p>
<p>

<dl compact><dt><b>Author(s):</b></dt><dd>
Various: see copyright headers in individual files
</dd></dl> </p>
<p>

<dl compact><dt><b>Maintainer(s):</b></dt><dd>
[Unknown/None]
</dd></dl> </p>
<p>

<dl compact><dt><b>License(s):</b></dt><dd>
<a href="http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html#SEC1">LGPLv2</a>
</dd></dl>
</p><h2>Namespaces</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="KFileShare.html">KFileShare</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KDesktopFileActions.html">KDesktopFileActions</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a class="el" href="KImageIO.html">KImageIO</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a class="el" href="global.html"><i>global</i></a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.html">KIO</a>&nbsp;&nbsp;&nbsp;</td></tr>
</table>
<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="KEncodingFileDialog.html">KEncodingFileDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KOperaBookmarkImporterImpl.html">KOperaBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAbstractFileModule.html">KAbstractFileModule</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KAbstractFileWidget.html">KAbstractFileWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFile.html">KFile</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.PasswordDialog.html">PasswordDialog</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KACL.html">KACL</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.FileCopyJob.html">FileCopyJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="PredicateProperties.html">PredicateProperties</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAr.html">KAr</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileDialog.html">KFileDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.PreviewJob.html">PreviewJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KArchive.html">KArchive</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileFilterCombo.html">KFileFilterCombo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPreviewWidgetBase.html">KPreviewWidgetBase</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KArchiveDirectory.html">KArchiveDirectory</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.RenameDialogPlugin.FileItem.html">FileItem</a>&nbsp;(<a class="el" href="KIO.RenameDialogPlugin.html">KIO.RenameDialogPlugin</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPropertiesDialog.html">KPropertiesDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KArchiveEntry.html">KArchiveEntry</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileItem.html">KFileItem</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPropertiesDialogPlugin.html">KPropertiesDialogPlugin</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KArchiveFile.html">KArchiveFile</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileItemDelegate.html">KFileItemDelegate</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KProtocolManager.html">KProtocolManager</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.AuthInfo.html">AuthInfo</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileItemList.html">KFileItemList</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KIO.NetRC.AutoLogin.html">AutoLogin</a>&nbsp;(<a class="el" href="KIO.NetRC.html">KIO.NetRC</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.FileJob.html">FileJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRecentDocument.html">KRecentDocument</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAutoMount.html">KAutoMount</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileMetaInfo.html">KFileMetaInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRemoteEncoding.html">KRemoteEncoding</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAutoUnmount.html">KAutoUnmount</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileMetaInfoItem.html">KFileMetaInfoItem</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.RenameDialog.html">RenameDialog</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a class="el" href="KFilePlacesModel.html">KFilePlacesModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.RenameDialogPlugin.html">RenameDialogPlugin</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmark.html">KBookmark</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFilePlacesView.html">KFilePlacesView</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KEncodingFileDialog.Result.html">Result</a>&nbsp;(<a class="el" href="KEncodingFileDialog.html">KEncodingFileDialog</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkAction.html">KBookmarkAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFilePreviewGenerator.html">KFilePreviewGenerator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRun.html">KRun</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkActionInterface.html">KBookmarkActionInterface</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileSharePropsPlugin.html">KFileSharePropsPlugin</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KBookmarkActionMenu.html">KBookmarkActionMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.FileUndoManager.html">FileUndoManager</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSambaShare.html">KSambaShare</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkContextMenu.html">KBookmarkContextMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileWidget.html">KFileWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KScanDialog.html">KScanDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkDialog.html">KBookmarkDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KFileWritePlugin.html">KFileWritePlugin</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.Scheduler.html">Scheduler</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkDomBuilder.html">KBookmarkDomBuilder</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.ForwardingSlaveBase.html">ForwardingSlaveBase</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SessionData.html">SessionData</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkExporterBase.html">KBookmarkExporterBase</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td><td><a class="el" href="KShellCompletion.html">KShellCompletion</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkGroup.html">KBookmarkGroup</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconButton.html">KIconButton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SimpleJob.html">SimpleJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkGroupTraverser.html">KBookmarkGroupTraverser</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconCanvas.html">KIconCanvas</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SkipDialog.html">SkipDialog</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkImporterBase.html">KBookmarkImporterBase</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconDialog.html">KIconDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.Slave.html">Slave</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkManager.html">KBookmarkManager</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIEBookmarkExporterImpl.html">KIEBookmarkExporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SlaveBase.html">SlaveBase</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkMenu.html">KBookmarkMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIEBookmarkImporterImpl.html">KIEBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SlaveConfig.html">SlaveConfig</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBookmarkOwner.html">KBookmarkOwner</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KImageFilePreview.html">KImageFilePreview</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.SlaveInterface.html">SlaveInterface</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBuildSycocaProgressDialog.html">KBuildSycocaProgressDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_J">&nbsp;&nbsp;J&nbsp;&nbsp;</a></td><td><a class="el" href="KIO.SpecialJob.html">SpecialJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a class="el" href="KIO.Job.html">Job</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.StatJob.html">StatJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.ChmodJob.html">ChmodJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.JobUiDelegate.html">JobUiDelegate</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStatusBarOfflineIndicator.html">KStatusBarOfflineIndicator</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.Connection.html">Connection</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="KIO.StoredTransferJob.html">StoredTransferJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.ConnectionServer.html">ConnectionServer</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KBookmark.List.html">List</a>&nbsp;(<a class="el" href="KBookmark.html">KBookmark</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KIO.CopyInfo.html">CopyInfo</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMountPoint.List.html">List</a>&nbsp;(<a class="el" href="KMountPoint.html">KMountPoint</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTar.html">KTar</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.CopyJob.html">CopyJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.ListJob.html">ListJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.TCPSlaveBase.html">TCPSlaveBase</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCrashBookmarkImporter.html">KCrashBookmarkImporter</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="ThumbCreator.html">ThumbCreator</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCrashBookmarkImporterImpl.html">KCrashBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.MetaInfoJob.html">MetaInfoJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.TransferJob.html">TransferJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="KMimeTypeChooser.html">KMimeTypeChooser</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_U">&nbsp;&nbsp;U&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KDataTool.html">KDataTool</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMimeTypeChooserDialog.html">KMimeTypeChooserDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.UDSEntry.html">UDSEntry</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDataToolAction.html">KDataToolAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.MimetypeJob.html">MimetypeJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.FileUndoManager.UiInterface.html">UiInterface</a>&nbsp;(<a class="el" href="KIO.FileUndoManager.html">KIO.FileUndoManager</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDataToolInfo.html">KDataToolInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMountPoint.html">KMountPoint</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUriFilter.html">KUriFilter</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.DavJob.html">DavJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMozillaBookmarkImporterImpl.html">KMozillaBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUriFilterData.html">KUriFilterData</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDBusServiceStarter.html">KDBusServiceStarter</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.MultiGetJob.html">MultiGetJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUriFilterPlugin.html">KUriFilterPlugin</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.DeleteJob.html">DeleteJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a class="el" href="KUrlComboBox.html">KUrlComboBox</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDeviceListModel.html">KDeviceListModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.NetAccess.html">NetAccess</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlComboRequester.html">KUrlComboRequester</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KIO.DirectorySizeJob.html">DirectorySizeJob</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIO.NetRC.html">NetRC</a>&nbsp;(<a class="el" href="KIO.html">KIO</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlCompletion.html">KUrlCompletion</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDirLister.html">KDirLister</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNFSShare.html">KNFSShare</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlNavigator.html">KUrlNavigator</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDirModel.html">KDirModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNSBookmarkExporterImpl.html">KNSBookmarkExporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlPixmapProvider.html">KUrlPixmapProvider</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDirOperator.html">KDirOperator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNSBookmarkImporterImpl.html">KNSBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlRequester.html">KUrlRequester</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDirSelectDialog.html">KDirSelectDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_O">&nbsp;&nbsp;O&nbsp;&nbsp;</a></td><td><a class="el" href="KUrlRequesterDialog.html">KUrlRequesterDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDirSortFilterProxyModel.html">KDirSortFilterProxyModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KOCRDialog.html">KOCRDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_X">&nbsp;&nbsp;X&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KDirWatch.html">KDirWatch</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KonqBookmarkContextMenu.html">KonqBookmarkContextMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXBELBookmarkImporterImpl.html">KXBELBookmarkImporterImpl</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDiskFreeSpace.html">KDiskFreeSpace</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KonqBookmarkMenu.html">KonqBookmarkMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_Z">&nbsp;&nbsp;Z&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KDiskFreeSpaceInfo.html">KDiskFreeSpaceInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KonqBookmarkOwner.html">KonqBookmarkOwner</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KZip.html">KZip</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="KOpenWithDialog.html">KOpenWithDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KZipFileEntry.html">KZipFileEntry</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KEMailSettings.html">KEMailSettings</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KOperaBookmarkExporterImpl.html">KOperaBookmarkExporterImpl</a>&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>

</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
